#95054 Report by node docker-deb-ubuntu_14_04_trusty covering 2037 tests from 55 modules resulted into 9 errors

Report

ObsPy Version
1.1.0.post0+420.gad46197741...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
864.2 sec
Report Date/Time
2018-05-07 06:35:34

System / Python

Architecture
64bit
Machine
x86_64
Node
docker-deb-ubuntu_14_04_trusty
Processor
x86_64
Python Compiler
GCC 4.8.4
Python Implementation
CPython
Python Version
3.4.3
Release
4.4.0-119-generic
System
Linux
Version
#143-Ubuntu SMP Mon Apr 2 16:08:24 UTC 2018

Dependencies

cartopy
---
decorator
3.4.0
flake8
2.1.0
future
0.16.0
geographiclib
---
lxml.etree
3.3.3
m2crypto
---
matplotlib
1.3.1
mock
1.0.1
mpl_toolkits.basemap
---
numpy
1.8.2
pep8-naming
---
pyflakes
0.8.1
pyimgur
0.5.3
pyproj
1.8.9
requests
2.2.1
scipy
0.13.3
setuptools
3.3
shapefile
???
sqlalchemy
0.8.4

Modules (55)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm 6 1 2 3 4 5 6
obspy.clients.fdsn 1 7
obspy.clients.filesystem - -
obspy.clients.iris 2 8 9
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 9 9

Tracebacks (9)

Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.earthworm.client.Client.get_waveforms
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 50, in get_waveforms
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 82, in obspy.clients.earthworm.client.Client.get_waveforms
Failed example:
st = client.get_waveforms('AV', 'ACH', '', 'EHE', dt, dt + 10)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.client.Client.get_waveforms[3]>", line 1, in <module>
st = client.get_waveforms('AV', 'ACH', '', 'EHE', dt, dt + 10)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 113, in get_waveforms
cleanup=cleanup)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 266, in read_wave_server_v
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 168, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 84, in obspy.clients.earthworm.client.Client.get_waveforms
Failed example:
st = client.get_waveforms('AV', 'ACH', '', 'EH*', dt, dt + 10)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.client.Client.get_waveforms[5]>", line 1, in <module>
st = client.get_waveforms('AV', 'ACH', '', 'EH*', dt, dt + 10)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 105, in get_waveforms
cleanup=cleanup)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 113, in get_waveforms
cleanup=cleanup)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 266, in read_wave_server_v
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 168, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.earthworm.__init__
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 21, in obspy.clients.earthworm.__init__
Failed example:
response = client.get_availability('AV', 'ACH', channel='EHE')
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.__init__[2]>", line 1, in <module>
response = client.get_availability('AV', 'ACH', channel='EHE')
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 224, in get_availability
response = get_menu(self.host, self.port, timeout=self.timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 221, in get_menu
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 168, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 29, in obspy.clients.earthworm.__init__
Failed example:
t = response[0][4]
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.__init__[4]>", line 1, in <module>
t = response[0][4]
NameError: name 'response' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 30, in obspy.clients.earthworm.__init__
Failed example:
st = client.get_waveforms('AV', 'ACH', '', 'EH*', t + 100, t + 130)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.__init__[5]>", line 1, in <module>
st = client.get_waveforms('AV', 'ACH', '', 'EH*', t + 100, t + 130)
NameError: name 't' is not defined
Traceback (most recent call last):
File "<string>", line 2, in test_availability
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 127, in skip_on_network_error
return func(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/tests/test_client.py", line 116, in test_availability
self.assertIn('AV.ACH.--.EHZ', seeds)
AssertionError: 'AV.ACH.--.EHZ' not found in []
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.earthworm.client.Client.get_availability
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 170, in get_availability
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 198, in obspy.clients.earthworm.client.Client.get_availability
Failed example:
print(response) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
Expected:
[('AV',
'ACH',
'--',
'EHE',
UTCDateTime(...),
UTCDateTime(...)),
('AV',
'ACH',
'--',
'EHN',
UTCDateTime(...),
UTCDateTime(...)),
('AV',
'ACH',
'--',
'EHZ',
UTCDateTime(...),
UTCDateTime(...))]
Got:
[]
Traceback (most recent call last):
File "<string>", line 2, in test_get_waveform
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 127, in skip_on_network_error
return func(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/tests/test_client.py", line 41, in test_get_waveform
self.assertEqual(len(stream), 1)
AssertionError: 0 != 1
Traceback (most recent call last):
File "<string>", line 2, in test_save_waveform
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 127, in skip_on_network_error
return func(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/tests/test_client.py", line 98, in test_save_waveform
stream = read(testfile)
File "<string>", line 2, in read
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/core/stream.py", line 235, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<string>", line 2, in _read
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 211, in uncompress_file
result = func(filename, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/core/util/base.py", line 403, in _read_from_plugin
raise TypeError('Unknown format for file %s' % filename)
TypeError: Unknown format for file /tmp/obspy-_dj20u3n.tmp
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/tests/test_federator_routing_client.py", line 342, in test_get_stations_integration_test
channel="LHZ", level="network")
File "<string>", line 2, in get_stations
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/federator_routing_client.py", line 110, in get_stations
return super(FederatorRoutingClient, self).get_stations(**kwargs)
File "<string>", line 2, in get_stations
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 344, in get_stations
return self.get_stations_bulk([bulk], **kwargs)
File "<string>", line 2, in get_stations_bulk
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/federator_routing_client.py", line 143, in get_stations_bulk
r = self._download(self._url + "/query", data=bulk_str)
File "/usr/lib/python3/dist-packages/obspy/clients/base.py", line 245, in _download
self._handle_requests_http_error(r)
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 280, in _handle_requests_http_error
raise_on_error(r.status_code, get_reason_from_response(r))
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/client.py", line 1710, in raise_on_error
raise FDSNException(msg, server_info)
obspy.clients.fdsn.header.FDSNException: Bad request. If you think your request was valid please contact the developers.
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.timeseries
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 177, in timeseries
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 318, in obspy.clients.iris.client.Client.timeseries
Failed example:
st = client.timeseries("IU", "ANMO", "00", "BHZ", dt, dt+10,
filter=["correct", "demean", "lp=2.0"])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 469, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 507, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 441, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 587, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.iris.client.Client.timeseries[6]>", line 2, in <module>
filter=["correct", "demean", "lp=2.0"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 320, in obspy.clients.iris.client.Client.timeseries
Failed example:
print(st[0].data) # doctest: +ELLIPSIS
Expected:
[ -1.57488682e-06 -1.26318002e-06 -7.84807128e-07 ...
Got:
[ 24 20 19 19 19 15 10 4 -4 -11 -19 -26 -35 -48 -60
-72 -83 -95 -109 -121 -133 -147 -162 -179 -195 -208 -221 -238 -256 -272
-285 -301 -314 -324 -333 -341 -350 -358 -365 -370 -376 -378 -378 -380 -381
-381 -378 -376 -374 -370 -364 -359 -356 -352 -345 -337 -331 -328 -323 -316
-310 -305 -301 -295 -290 -289 -283 -275 -271 -269 -267 -263 -258 -257 -253
-248 -243 -240 -239 -237 -233 -229 -224 -218 -211 -208 -205 -202 -200 -195
-191 -185 -181 -180 -179 -177 -177 -177 -176 -176 -179 -183 -185 -187 -189
-192 -198 -204 -210 -216 -220 -227 -235 -241 -247 -253 -262 -270 -277 -284
-294 -304 -313 -323 -332 -340 -345 -350 -355 -358 -361 -364 -369 -372 -371
-372 -374 -373 -368 -364 -362 -357 -349 -344 -338 -331 -320 -311 -302 -291
-280 -268 -255 -243 -231 -218 -203 -187 -173 -160 -147 -132 -119 -108 -97
-86 -73 -62 -54 -48 -42 -37 -33 -29 -27 -27 -25 -26 -27 -29
-31 -30 -31 -36 -40 -44 -52 -59 -68 -77 -83 -89 -95 -101 -108
-116 -123 -130 -141 -150]
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 469, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 507, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 441, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 587, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/tests/test_client.py", line 256, in test_timeseries
filter=["correct"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)

Skipped Tests (58)

Submodule Test Skip Message
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) basemap not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
imaging test_farfield_with_quiver (obspy.imaging.tests.test_source.RadPatternTestCase) matplotlib >= 1.4 needed for 3D quiver plot.
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.arclink test_cryptography (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_no_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_unknown_user (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_dcid_key (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_wrong_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed

Slowest Tests (20)

Runtime Test
203.028s get_waveforms (obspy.clients.earthworm.client.Client)
101.502s __init__ (obspy.clients.earthworm)
30.341s test_save_waveform (obspy.clients.earthworm.tests.test_client.ClientTestCase)
30.308s test_get_waveform (obspy.clients.earthworm.tests.test_client.ClientTestCase)
30.295s test_availability (obspy.clients.earthworm.tests.test_client.ClientTestCase)
21.600s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.646s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.735s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
10.300s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.794s test_get_waveforms_integration_test (obspy.clients.fdsn.tests.test_federator_routing_client.FederatorRoutingClientTestCase)
9.578s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
9.351s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.997s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.513s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.321s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
7.509s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
6.457s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.379s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.234s __init__ (obspy.clients.fdsn.client.Client)
6.185s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)

Chuck Norris Fact

Chuck Norris' unit tests don't run. They die.